<ion-header>
  <ion-toolbar color="dark">
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-title>Daily Activity</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <p *ngIf="dailyActivityList.length === 0" padding > No activity</p>
  <ion-grid no-padding *ngIf="dailyActivityList.length != 0">
    <ion-text color="primary">
      <h5 class="ion-no-margin" padding >Doctor Call</h5>
    </ion-text>
    <ion-row style="background-color: #0cd1e8">
      <ion-col size="4" class="ion-text-center" style="background:transparent">
        Name
      </ion-col>
      <ion-col size="4" class="ion-text-center">
        Place
      </ion-col>
      <ion-col size="4" class="ion-text-center">
        Status
      </ion-col>
    </ion-row>
    <ion-row *ngFor="let activity of dailyActivityList">
      <ion-col size="4" class="ion-text-center">
        {{activity.doctor.name}}
      </ion-col>
      <ion-col size="4" class="ion-text-center">
        {{activity.doctor.area}}
      </ion-col>
      <ion-col size="4" *ngIf="activity.status === 'Pending'" class="ion-text-center" style="color: #f04141">
        {{activity.status}}
      </ion-col>
      <ion-col size="4" *ngIf="activity.status === 'Done'" class="ion-text-center" style="color: #0cd1e8">
        {{activity.status}}
      </ion-col>
      <ion-col size="4" *ngIf="activity.status === 'Success'" class="ion-text-center" style="color: #10dc60">
        {{activity.status}}
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>